Subject: Re: [PATCH] Change MAC without bringing interface down

From: "David S. Miller" <[email-masked]>
Date: Mon, 18 Aug 2003 05:12:27 -0700

On 18 Aug 2003 08:13:44 -0400
jamal <[email-masked]> wrote:

> Editing the header may be the better approach if you have a few hundred 
> hhs already inserted (this was the issue i was faced with when VRRP was
> failing over when i was playing with it). I tried to flush the cache but
> it took longer to recover it. 

There is another reason I want the cache flushed.

Those hh cache entries are what ARP resolved to when we
had the previous MAC address, not the one we have now.

The ARPs may come back differently with the new MAC
address.

I _REALLY REALLY_ don't want to have to change the
->update() implementations.  Although one thing I
would consider is a new ->update_src() operation
and if this were NULL we flush the entries instead.